#
# spec file for package neix
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           neix
Version:        0.1.5
Release:        2.3
Summary:        News Reader for Text Terminals
License:        GPL-3.0-or-later
Group:          Productivity/Networking/Web/Browsers
URL:            https://github.com/tomschwarz/neix
Source:         https://github.com/tomschwarz/neix/archive/v%{version}.tar.gz
Patch0:         neix-include.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libcurl-devel
BuildRequires:  ncurses-devel

%description
neix is a RSS/Atom news feed reader.

%prep
%autosetup -p1

%build
%cmake
%make_build

%install
%cmake_install

%files
%license LICENSE.md
%doc README.md
%{_bindir}/neix
%{_mandir}/man1/neix.1%{?ext_man}
%dir %{_datadir}/neix
%{_datadir}/neix/feeds.conf
%{_datadir}/neix/neix.conf

%changelog
* Wed Feb 21 2024 Michael Vetter <mvetter@suse.com>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN.
* Thu May  6 2021 Michael Vetter <mvetter@suse.com>
- Update to 0.1.5:
  * Fix flickering screen while loading feeds
* Fri Apr 30 2021 Michael Vetter <mvetter@suse.com>
- Update to 0.1.4:
  * Fix issue #16
* Tue Sep  8 2020 Michael Vetter <mvetter@suse.com>
- Update to 0.1.3:
  * Add ncursesw detection
  * Add unicode support
  * Improve install process
  * Add default feeds
  * Copy default config files if no configuration found
* Tue Aug 25 2020 Michael Vetter <mvetter@suse.com>
- Update to 0.1.2:
  * Fix curl lib linking
  * Use CMAKE_INSTALL_BINDIR for installing
- Remove neix-link.patch: upstreamed
- Remove neix-install.patch: upstreamed
* Mon Aug 24 2020 Michael Vetter <mvetter@suse.com>
- Update to 0.1.1:
  * Fix compile error on openSUSE (#1)
  * Check for valid config entry count
  * Some minor improvements
- Add neix-link.patch
- Add neix-install.patch
* Fri Aug 21 2020 Michael Vetter <mvetter@suse.com>
- Initial package of neix 0.1.0 for openSUSE
